LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 05-09-2004, 05:35 PM   #1
xanas3712
Member
 
Registered: Apr 2004
Distribution: Slackware/Mandrake/Debian (sarge)
Posts: 266

Rep: Reputation: 30
Radeon 9800 XFree 4.4 Problems continued


I figured since the other thread wasn't mine and was a bit old I'd mention I'm still having trouble getting this to work.

Ok, first.. I am running slack 9.1 current with KDE 3.2 and XFree 4.4
I'm running a 2.6.5 kernel with via-agp compiled into the kernel (not as a module).
(I'll change this if I'm pretty sure it'll fix but I did change it once and the computer booted but not before a ton of errors came up on the screen because of that.. not sure why).

I have compiled my radeon dri support from the latest sourceforge snapshot (per other instructions on the forum).. instead of including dri in the kernel.

Here is relavent portion of my dmesg.
[fglrx] Maximum main memory to use for locked dma buffers: 430 MBytes.
[fglrx] module loaded - fglrx 3.7.6 [Mar 5 2004] on minor 0
[fglrx] module unloaded - fglrx 3.7.6 [Mar 5 2004] on minor 0
atkbd.c: Unknown key released (translated set 2, code 0x7a on isa0060/serio0).
atkbd.c: This is an XFree86 bug. It shouldn't access hardware directly.
atkbd.c: Unknown key released (translated set 2, code 0x7a on isa0060/serio0).
atkbd.c: This is an XFree86 bug. It shouldn't access hardware directly.

And here is the relavent portion of my XFree Log
(II) LoadModule: "fglrx"
(II) Loading /usr/X11R6/lib/modules/drivers/fglrx_drv.o
(II) Module fglrx: vendor="Fire GL - ATI Research GmbH, Germany"
compiled for 4.3.0.1, module version = 3.7.6
Module class: XFree86 Video Driver
ABI class: XFree86 Video Driver, version 0.6
(II) UnloadModule: "fglrx"
(II) Unloading /usr/X11R6/lib/modules/drivers/fglrx_drv.o
(EE) Failed to load module "fglrx" (module requirement mismatch, 0)

Please.. any help is greatly appreciated I promise
 
Old 05-09-2004, 06:19 PM   #2
fcaraballo
Member
 
Registered: Feb 2004
Location: WA
Distribution: Slackware
Posts: 230

Rep: Reputation: 31
You are trying to use a driver that was written for a different XFree86 version. It won't work. ATI's 3.7.6 driver only works with XFree86 4.3, not with XFree86 4.4. You will have to wait for ATI to create drivers for XFree86 4.4 and do what everyone else is doing, using the built in radeon driver thats included in XFree86 4.4. The built in driver is not as fast but seems to do a decent enough job with OpenGL/3D and (just my 2cents) I think it actually does a better job with 2D. XFree86 4.4 sets the AGP to 1x by default so remember to set your AGP to 2x/4x (2.4.x) or 2x/4x/8x (2.6.x) in your XF86Config to get better performance out of the driver.

MagicMan

edit: If you really want to use ATI's 3.7.6 driver on your system, it does seem to work with X.org current version.

Last edited by fcaraballo; 05-09-2004 at 06:21 PM.
 
Old 05-09-2004, 11:09 PM   #3
xanas3712
Member
 
Registered: Apr 2004
Distribution: Slackware/Mandrake/Debian (sarge)
Posts: 266

Original Poster
Rep: Reputation: 30
ahh ok.. it'll work with x.org based on xfree 4.4 rc2 but not xfree 4.4 hmm.. ok yeah I'll check that out...

hopefully I can't figure out how to install that without help

Also, you say 3d accel works with the default radeon driver but I definetly am not getting that to happen and have everything loading (confirmed it from the logs).. so are you using something less than a radeon 9500 (the lowest the driver says it does not support) ?

Last edited by xanas3712; 05-09-2004 at 11:49 PM.
 
Old 05-10-2004, 01:10 AM   #4
fcaraballo
Member
 
Registered: Feb 2004
Location: WA
Distribution: Slackware
Posts: 230

Rep: Reputation: 31
Sorry, I read it wrong off of the XFree86 site:

- The radeon driver supports PCI and AGP video cards based on the following ATI chips:

- R350
- Radeon 9800PRO/9800SE/9800, FireGL X2 (2D only)

I thought it was supported, my mistake.

I guess you will have to wait for ATI's new driver or get the driver to work with X.org. Sorry again.

MagicMan

Last edited by fcaraballo; 05-10-2004 at 01:11 AM.
 
Old 05-10-2004, 02:00 AM   #5
xanas3712
Member
 
Registered: Apr 2004
Distribution: Slackware/Mandrake/Debian (sarge)
Posts: 266

Original Poster
Rep: Reputation: 30
don't worry about it hehe.. I was just thinking there might be someone really good that had hacked the driver to work for 4.4..

anyway.. I tried xorg and compiled the whole darn thing and installed it.. and it kinda works with the fglrx driver. But not really.. if I tried to get the dual monitor config working it would just bring up a black screen and go no where (basically a crash but not quite since I could still turn on my caps lock which I can't do during hard stalls normally).

Also.. even if I could be happy without proper dual monitor support (which I can't get with the radeon driver for xfree 4.4..... or if I can nothing I've tried works).. the 3d accel still didn't work. I looked at the log file and it looked like everything was perfect.. but apparently something was up because it still failed...

oh well..
 
Old 05-10-2004, 06:26 AM   #6
Mark Havel
Member
 
Registered: May 2004
Location: Lyon, France
Distribution: Slackware
Posts: 85

Rep: Reputation: 15
I have the same trouble with my Radeon 9600 Pro. I think I'll wait for the next Linux drivers form Ati and use the radeon driver. But it crashes the server anytime I'm trying to make run an OpenGL screen saver in full screen mode...
Anyway where can I set the AGP speed in the XF86Config file?
 
Old 05-10-2004, 09:55 PM   #7
Duffy
Member
 
Registered: Aug 2003
Posts: 54

Rep: Reputation: 15
Quote:
Originally posted by MagicMan
You are trying to use a driver that was written for a different XFree86 version. It won't work. ATI's 3.7.6 driver only works with XFree86 4.3, not with XFree86 4.4. You will have to wait for ATI to create drivers for XFree86 4.4 and do what everyone else is doing, using the built in radeon driver thats included in XFree86 4.4. The built in driver is not as fast but seems to do a decent enough job with OpenGL/3D and (just my 2cents) I think it actually does a better job with 2D. XFree86 4.4 sets the AGP to 1x by default so remember to set your AGP to 2x/4x (2.4.x) or 2x/4x/8x (2.6.x) in your XF86Config to get better performance out of the driver.

MagicMan

edit: If you really want to use ATI's 3.7.6 driver on your system, it does seem to work with X.org current version.
You are wrong

I have the current X.org working just fine with my ATI 9700 Pro on the 3.2.8 drivers
 
Old 05-11-2004, 01:00 AM   #8
xanas3712
Member
 
Registered: Apr 2004
Distribution: Slackware/Mandrake/Debian (sarge)
Posts: 266

Original Poster
Rep: Reputation: 30
He was saying that it does work with x.org (it didn't for me).. not that it doesn't.. then again I compiled and make installed over the xfree so maybe that had something to do with the problems.. all I know is that even when it did work I didn't get 3d accel (so it worked but not completely.. and it wouldn't work for dual monitors either)....
 
Old 05-11-2004, 11:01 AM   #9
Duffy
Member
 
Registered: Aug 2003
Posts: 54

Rep: Reputation: 15
No he was saying that the ATI Drivers do not work but they DO

Quote:
You are trying to use a driver that was written for a different XFree86 version. It won't work. ATI's 3.7.6 driver only works with XFree86 4.3, not with XFree86 4.4
I didn't have to compile DRI from a CVS snapshot either. I have my chipset and agp built into the kernel ( 2.6.5 )

http://www.linuxquestions.org/questi...ighlight=xfree
 
Old 05-11-2004, 12:09 PM   #10
fcaraballo
Member
 
Registered: Feb 2004
Location: WA
Distribution: Slackware
Posts: 230

Rep: Reputation: 31
Quote:
Originally posted by Duffy
No he was saying that the ATI Drivers do not work but they DO



I didn't have to compile DRI from a CVS snapshot either. I have my chipset and agp built into the kernel ( 2.6.5 )

http://www.linuxquestions.org/questi...ighlight=xfree
That thread says that ATI's 3.7.0 driver will work with XFree86 4.4. I said that ATI's 3.7.6 driver won't work with XFree86 4.4.


Quote:
Originally posted by Duffy
You are wrong

I have the current X.org working just fine with my ATI 9700 Pro on the 3.2.8 drivers
I said that ATI's 3.7.6 driver seemed to work with X.org.


Of course, these are just my opinions based on my own experiences and what I have read here/different forums/web sites.

MagicMan

Last edited by fcaraballo; 05-11-2004 at 01:12 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
FC3 Desktop Spanning Problems with Radeon 9800. Please Help! farmerjoe Linux - Hardware 1 01-23-2005 06:11 PM
Problems with LCD display/Radeon 9800 Pro on Mandrake 10.0 dashrantic Linux - Hardware 2 06-01-2004 08:56 AM
problems installing drivers for Radeon 9800 pro with mandrake donut_war Linux - Hardware 0 02-13-2004 04:28 PM
Problems installing Radeon 9800 Pro properly under Red Hat 9 Dash Rantic Linux - Hardware 1 01-23-2004 07:34 PM
radeon 9800 driver install problems thrice Slackware 2 09-11-2003 01:20 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 11:00 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration